summaryrefslogtreecommitdiff
path: root/ckcptime.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ckcptime.sh')
-rw-r--r--ckcptime.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/ckcptime.sh b/ckcptime.sh
new file mode 100644
index 0000000..079faa6
--- /dev/null
+++ b/ckcptime.sh
@@ -0,0 +1,21 @@
+#!/usr/bin/env sh
+
+# estimate sytem boot time
+
+# [debug] enable execution tracing
+#set -x
+set -e
+
+# raw input data
+#date +%s
+#sysctl kern.cp_time | awk -F= '{print($0)}'
+
+#printf "sec\n" | column -t
+for N in $(seq 0 45) ; do
+ #printf "${N} ${t0_est}\n" | column -t
+ awk -f ckcptime.awk
+ sleep $( awk 'BEGIN {print( rand()^2.0 + 1.0 )}' )
+done
+
+# [debug] disable execution tracing
+set +x